
export enum ERRORENUM {
    登录失败 = 1,
    密码错误,
    重复提交,
    身份验证失败,
    非法登录,
    身份验证过期,
    参数错误,
    未找到该数据,
    表单校验失败,
    一天只有8小时多余的时间请填加班,
    不存在该项目,
    已经通过审批的加班不能修改或删除,
    已经通过审批的请假不能修改或删除,
    目标数据已不存在,
    项目ID已存在,
    年假剩余不足请重新分配请假时间,
    调休剩余不足请重新分配请假时间
}

export enum ERRORCODEENUM {
    身份验证失败 = 401,
    非法登录 = 402,
    身份验证过期 = 403
}

let bizErrorMsgMap = {};
for (let key in ERRORENUM) {
    bizErrorMsgMap[ERRORENUM[key]] = key;
}

export function getBizMsg(param) {
    return bizErrorMsgMap[param];
}